# MultiLine

Detects a new message only when LF is followed by ‘<’ or end of input.

This parameter applies to imptcp: Plain TCP Syslog.

Name:

  MultiLine

Scope:

  input

Type:

  boolean

Default:

  input=off

Required?:

  no

Introduced:

  at least 5.x, possibly earlier

## Description

Experimental parameter which causes rsyslog to recognize a new message only if the line feed is followed by a ‘<’ or if there are no more characters.

## Input usage

    input(type="imptcp" multiLine="...")

## See also

See also imptcp: Plain TCP Syslog.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.